package ru.kayashov.bar.model.entity;


import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum Alcoholic {
    ALCOHOLIC("Алкогольный"),
    NON_ALCOHOLIC("Безалкогольный");

    private final String value;

    public static Alcoholic findValue(String value) {
        for (Alcoholic alcoholic : Alcoholic.values()) {
            if (alcoholic.getValue().equals(value)) {
                return alcoholic;
            }
        }
        throw new RuntimeException("Не существует значения " + value);
    }

}